# Get-RASProviderRemotePCStatic.md

## NAME

Get-RASProviderRemotePCStatic

## SYNOPSIS

Retrieves the Remote PC Static list of a Provider.

## SYNTAX

\*\*Get-RASProviderRemotePCStatic \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASProviderRemotePCStatic \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Remote PC Static list of a Provider.

## PARAMETERS

## Name (string)

The name of the Provider server for which to retrieve the information.

This must be the actual server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the Provider server information.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Provider server for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/remotepcstatic.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASProviderRemotePCStatic -Id 1

Retrieves the Remote PC Static list of the Provider with Id 1.

## RELATED LINKS

* [Get-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasprovider.md)
* [Set-RASProvider](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasprovider.md)
* [Add-RASProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasproviderremotepcstatic.md)
* [Set-RASProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasproviderremotepcstatic.md)
* [Remove-RASProviderRemotePCStatic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasproviderremotepcstatic.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasproviderremotepcstatic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
